Bug 311771 - istanbul doesn't use XDG dirs for default storage
istanbul doesn't use XDG dirs for default storage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 17:18 EDT by Jesse Keating
Modified: 2013-01-09 21:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:55:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-28 17:18:25 EDT
There is an xdg directory "Videos" (at least for English).  Istanbul should
default to storing it's videos in the xdg directory.  How this is accomplished I
have no idea.
Comment 1 Jef Spaleta 2007-10-04 14:36:59 EDT
While supporting xdg makes sense to me. I'll look into building a patch to
support xdg in istanbul. I just have to parse the user-dirs.dirs file for the
variable i want to match against.

I'm not sure using the video directory makes sense however.  The gnome
screenshot tool still uses the Desktop directory by default in rawhide. Istanbul
is essentially an animated screenshot with sound. If the default gnome
screenshot tool prefers Desktop over Pictures as its default i think istanbul
probably prefer Desktop as well.

-jef
Comment 2 Jesse Keating 2007-10-04 20:37:12 EDT
Arguably that's a bug in the screenshot tool.  I'm pretty sure it's default was
set well before the xdg stuff showed up, and it just hasn't been updated.
Comment 3 Jef Spaleta 2007-10-04 20:42:35 EDT
Or is the screenshot tool using xdg now and using xdg's desktop?
We played around with this this afternoon a bit. notthing and wwoods both
switched locales and screenshooter's default changed to the locale specific
Desktop directory name matching what xdg says the name should be for that
locale. Is that proof that xdg is working for the screenshooter? 

-jef
Comment 4 Bug Zapper 2008-04-04 09:57:21 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-11-26 02:52:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-08 23:55:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.